footer {
  background-color: #8ab17d;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 6vw;
  padding: 5vw 0 5vw 0;
  user-select: text;
}

#address {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 5vw;
  gap: 5vw;
}

#address > p {
  margin: 0;
}

#address > a:hover {
  color: #ffffff;
}

#bear-wrapper {
  height: 45vw;
  width: 45vw;
}

#bear {
  height: 100%;
  width: 100%;
  object-fit: contain;
}

#contact {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 5vw;
  gap: 5vw;
}

#contact > p {
  margin: 0;
}

.footer-heading {
  font-weight: bold;
}

#legal {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 5vw;
  gap: 6vw;
}

#social {
  display: flex;
  gap: 3vw;
}

.social-img-wrapper {
  height: 15vw;
  width: 15vw;
}

.social-img-wrapper:hover {
  scale: 1.1;
}

.social-img {
  height: 100%;
  width: 100%;
}

footer a {
  text-decoration: underline;
  color: black;
  text-underline-offset: 1vw;
}

footer a:hover {
  color: white;
}

@media (min-width: 768px) {
  footer {
    gap: 3vw;
  }

  #address {
    font-size: 3.5vw;
  }

  #contact {
    font-size: 3.5vw;
  }

  #legal {
    font-size: 3.5vw;
  }

  .social-img-wrapper {
    height: 10vw;
    width: 10vw;
  }

  footer a {
    text-underline-offset: 0.8vw;
  }
}

@media (min-width: 1024px) {
  footer {
    flex-direction: row;
    justify-content: space-between;
    padding: 3vw 6vw 3vw 6vw;
  }

  .footer-heading {
    text-underline-offset: 0.3vw;
  }

  #bear-wrapper {
    height: 10vw;
    width: 10vw;
  }

  #bear {
    height: 100%;
    width: 100%;
    object-fit: contain;
  }

  #address {
    font-size: 1vw;
    gap: 2vw;
  }

  #contact {
    font-size: 1vw;
    gap: 2vw;
  }

  #legal {
    font-size: 1vw;
    gap: 1vw;
  }

  #social {
    display: flex;
    gap: 2vw;
  }

  .social-img-wrapper {
    height: 3vw;
    width: 3vw;
  }

  .social-img {
    height: 100%;
    width: 100%;
  }

  footer a {
    text-underline-offset: 0.2vw;
  }
}
